diff --git a/python/mozlint/mozlint/formatters/stylish.py b/python/mozlint/mozlint/formatters/stylish.py
index 62ddfbeb6a..8ec942fae0 100644
--- a/python/mozlint/mozlint/formatters/stylish.py
+++ b/python/mozlint/mozlint/formatters/stylish.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 from ..result import ResultContainer
 
@@ -12,24 +11,24 @@ except ImportError:
     blessings = None
 
 
-class NullTerminal(object):
+class NullTerminal:
     """Replacement for `blessings.Terminal()` that does no formatting."""
-    class NullCallableString(unicode):
+    class NullCallableString(str):
         """A dummy callable Unicode stolen from blessings"""
         def __new__(cls):
-            new = unicode.__new__(cls, u'')
+            new = str.__new__(cls, '')
             return new
 
         def __call__(self, *args):
             if len(args) != 1 or isinstance(args[0], int):
-                return u''
+                return ''
             return args[0]
 
     def __getattr__(self, attr):
         return self.NullCallableString()
 
 
-class StylishFormatter(object):
+class StylishFormatter:
     """Formatter based on the eslint default."""
 
     # Colors later on in the list are fallbacks in case the terminal
@@ -82,7 +81,7 @@ class StylishFormatter(object):
 
         num_errors = 0
         num_warnings = 0
-        for path, errors in sorted(result.iteritems()):
+        for path, errors in sorted(result.items()):
             self._reset_max()
 
             message.append(self.term.underline(path))
diff --git a/python/mozlint/mozlint/formatters/treeherder.py b/python/mozlint/mozlint/formatters/treeherder.py
index 7c27011cf4..80b89ff286 100644
--- a/python/mozlint/mozlint/formatters/treeherder.py
+++ b/python/mozlint/mozlint/formatters/treeherder.py
@@ -2,12 +2,11 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 from ..result import ResultContainer
 
 
-class TreeherderFormatter(object):
+class TreeherderFormatter:
     """Formatter for treeherder friendly output.
 
     This formatter looks ugly, but prints output such that
@@ -18,7 +17,7 @@ class TreeherderFormatter(object):
 
     def __call__(self, result):
         message = []
-        for path, errors in sorted(result.iteritems()):
+        for path, errors in sorted(result.items()):
             for err in errors:
                 assert isinstance(err, ResultContainer)
 
diff --git a/python/mozlint/mozlint/parser.py b/python/mozlint/mozlint/parser.py
index f350d0de75..9d54d98e4c 100644
--- a/python/mozlint/mozlint/parser.py
+++ b/python/mozlint/mozlint/parser.py
@@ -11,7 +11,7 @@ from .types import supported_types
 from .errors import LinterNotFound, LinterParseError
 
 
-class Parser(object):
+class Parser:
     """Reads and validates `.lint` files."""
     required_attributes = (
         'name',
@@ -63,7 +63,7 @@ class Parser(object):
 
         for attr in ('include', 'exclude'):
             if attr in linter and (not isinstance(linter[attr], list) or
-                                   not all(isinstance(a, basestring) for a in linter[attr])):
+                                   not all(isinstance(a, str) for a in linter[attr])):
                 raise LinterParseError(linter['path'], "The {} directive must be a "
                                                        "list of strings!".format(attr))
 
diff --git a/python/mozlint/mozlint/pathutils.py b/python/mozlint/mozlint/pathutils.py
index 532904dca7..cf79d58150 100644
--- a/python/mozlint/mozlint/pathutils.py
+++ b/python/mozlint/mozlint/pathutils.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 
@@ -10,7 +9,7 @@ from mozpack import path as mozpath
 from mozpack.files import FileFinder
 
 
-class FilterPath(object):
+class FilterPath:
     """Helper class to make comparing and matching file paths easier."""
     def __init__(self, path, exclude=None):
         self.path = os.path.normpath(path)
@@ -86,8 +85,8 @@ def filterpaths(paths, linter, **lintargs):
             path = os.path.join(root, path)
         return FilterPath(path)
 
-    include = map(normalize, include)
-    exclude = map(normalize, exclude)
+    include = list(map(normalize, include))
+    exclude = list(map(normalize, exclude))
 
     # Paths with and without globs will be handled separately,
     # pull them apart now.
diff --git a/python/mozlint/mozlint/result.py b/python/mozlint/mozlint/result.py
index 0c56f1d761..490b2eefc5 100644
--- a/python/mozlint/mozlint/result.py
+++ b/python/mozlint/mozlint/result.py
@@ -5,7 +5,7 @@
 from json import dumps, JSONEncoder
 
 
-class ResultContainer(object):
+class ResultContainer:
     """Represents a single lint error and its related metadata.
 
     :param linter: name of the linter that flagged this error
diff --git a/python/mozlint/mozlint/roller.py b/python/mozlint/mozlint/roller.py
index 2d1608dd87..6cb00da7d5 100644
--- a/python/mozlint/mozlint/roller.py
+++ b/python/mozlint/mozlint/roller.py
@@ -2,14 +2,13 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 import signal
 import sys
 import traceback
 from collections import defaultdict
-from Queue import Empty
+from queue import Empty
 from multiprocessing import (
     Manager,
     Pool,
@@ -35,7 +34,7 @@ def _run_linters(queue, paths, **lintargs):
             # also received SIGINT. By the time the worker gets back here, the
             # Queue is dead and IOError is raised.
             linter_path = queue.get(False)
-        except (Empty, IOError):
+        except (Empty, OSError):
             return results, return_code
 
         # Ideally we would pass the entire LINTER definition as an argument
@@ -67,7 +66,7 @@ def _run_worker(*args, **lintargs):
         sys.stdout.flush()
 
 
-class LintRoller(object):
+class LintRoller:
     """Registers and runs linters.
 
     :param root: Path to which relative paths will be joined. If
@@ -91,7 +90,7 @@ class LintRoller(object):
 
         :param paths: A path or iterable of paths to linter definitions.
         """
-        if isinstance(paths, basestring):
+        if isinstance(paths, str):
             paths = (paths,)
 
         for path in paths:
@@ -108,7 +107,7 @@ class LintRoller(object):
                  :class:`~result.ResultContainer`s as the value.
         """
         paths = paths or []
-        if isinstance(paths, basestring):
+        if isinstance(paths, str):
             paths = [paths]
 
         if not self.linters:
@@ -120,7 +119,7 @@ class LintRoller(object):
         if workdir:
             paths.extend(self.vcs.by_workdir())
         paths = paths or ['.']
-        paths = map(os.path.abspath, paths)
+        paths = list(map(os.path.abspath, paths))
 
         # Set up multiprocessing
         m = Manager()
@@ -149,6 +148,6 @@ class LintRoller(object):
             results, return_code = worker.get()
             if results or return_code:
                 self.return_code = 1
-            for k, v in results.iteritems():
+            for k, v in results.items():
                 all_results[k].extend(v)
         return all_results
diff --git a/python/mozlint/mozlint/types.py b/python/mozlint/mozlint/types.py
index 2f49ae2bf2..064b5d595e 100644
--- a/python/mozlint/mozlint/types.py
+++ b/python/mozlint/mozlint/types.py
@@ -2,8 +2,8 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
+from __future__ import print_function
 import re
 import sys
 from abc import ABCMeta, abstractmethod
@@ -13,11 +13,11 @@ from mozlog.reader import LogHandler
 
 from . import result
 from .pathutils import filterpaths
+import six
 
 
-class BaseType(object):
+class BaseType(six.with_metaclass(ABCMeta)):
     """Abstract base class for all types of linters."""
-    __metaclass__ = ABCMeta
     batch = False
 
     def __call__(self, paths, linter, **lintargs):
@@ -31,7 +31,7 @@ class BaseType(object):
         """
         paths = filterpaths(paths, linter, **lintargs)
         if not paths:
-            print("{}: no files to lint in specified paths".format(linter['name']))
+            print(("{}: no files to lint in specified paths".format(linter['name'])))
             return
 
         if self.batch:
@@ -52,13 +52,12 @@ class BaseType(object):
         pass
 
 
-class LineType(BaseType):
+class LineType(six.with_metaclass(ABCMeta, BaseType)):
     """Abstract base class for linter types that check each line individually.
 
     Subclasses of this linter type will read each file and check the provided
     payload against each line one by one.
     """
-    __metaclass__ = ABCMeta
 
     @abstractmethod
     def condition(payload, line):
@@ -67,7 +66,7 @@ class LineType(BaseType):
     def _lint(self, path, linter, **lintargs):
         payload = linter['payload']
 
-        with open(path, 'r') as fh:
+        with open(path) as fh:
             lines = fh.readlines()
 
         errors = []
diff --git a/python/mozlint/mozlint/vcs.py b/python/mozlint/mozlint/vcs.py
index 6a118f2e6a..b7d02e4c3d 100644
--- a/python/mozlint/mozlint/vcs.py
+++ b/python/mozlint/mozlint/vcs.py
@@ -6,7 +6,7 @@ import os
 import subprocess
 
 
-class VCSFiles(object):
+class VCSFiles:
     def __init__(self):
         self._root = None
         self._vcs = None
diff --git a/python/mozlint/test/test_formatters.py b/python/mozlint/test/test_formatters.py
index b9e6512b24..e1ecdba0e7 100644
--- a/python/mozlint/test/test_formatters.py
+++ b/python/mozlint/test/test_formatters.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import json
 import sys
diff --git a/python/mozlint/test/test_roller.py b/python/mozlint/test/test_roller.py
index b4b82c346c..207b935022 100644
--- a/python/mozlint/test/test_roller.py
+++ b/python/mozlint/test/test_roller.py
@@ -29,7 +29,7 @@ def test_roll_successful(lint, linters, files):
     assert len(result) == 1
     assert lint.return_code == 1
 
-    path = result.keys()[0]
+    path = list(result.keys())[0]
     assert os.path.basename(path) == 'foobar.js'
 
     errors = result[path]
diff --git a/python/mozversioncontrol/mozversioncontrol/__init__.py b/python/mozversioncontrol/mozversioncontrol/__init__.py
index 211d42ef14..e69a9db0bf 100644
--- a/python/mozversioncontrol/mozversioncontrol/__init__.py
+++ b/python/mozversioncontrol/mozversioncontrol/__init__.py
@@ -2,14 +2,33 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this,
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import absolute_import, print_function, unicode_literals
 
+from __future__ import print_function
 import os
 import re
 import subprocess
 import which
 
-from distutils.version import LooseVersion
+class LooseVersion:
+    """Simple version comparison (replacement for distutils.version.LooseVersion)."""
+    def __init__(self, vstring):
+        self.vstring = vstring
+        self.version = [int(x) if x.isdigit() else x for x in re.split(r'[.\-]', vstring)]
+    def __str__(self): return self.vstring
+    def __repr__(self): return "LooseVersion('%s')" % self.vstring
+    def _cmp(self, other):
+        if not isinstance(other, LooseVersion):
+            other = LooseVersion(str(other))
+        try:
+            if self.version == other.version: return 0
+            if self.version < other.version: return -1
+            return 1
+        except TypeError: return -1
+    def __lt__(self, o): return self._cmp(o) < 0
+    def __le__(self, o): return self._cmp(o) <= 0
+    def __eq__(self, o): return self._cmp(o) == 0
+    def __ge__(self, o): return self._cmp(o) >= 0
+    def __gt__(self, o): return self._cmp(o) > 0
 
 def get_tool_path(tool):
     """Obtain the path of `tool`."""
@@ -30,7 +49,7 @@ def get_tool_path(tool):
                     '|mach bootstrap| to ensure your environment is up to ' +
                     'date.' % tool)
 
-class Repository(object):
+class Repository:
     '''A class wrapping utility methods around version control repositories.'''
     def __init__(self, path, tool):
         self.path = os.path.abspath(path)
@@ -49,7 +68,7 @@ class Repository(object):
         if self._version:
             return self._version
         info = self._run('--version').strip()
-        match = re.search('version ([^\+\)]+)', info)
+        match = re.search(r'version ([^\+\)]+)', info)
         if not match:
             raise Exception('Unable to identify tool version.')
 
@@ -74,7 +93,7 @@ class Repository(object):
 class HgRepository(Repository):
     '''An implementation of `Repository` for Mercurial repositories.'''
     def __init__(self, path):
-        super(HgRepository, self).__init__(path, 'hg')
+        super().__init__(path, 'hg')
         self._env[b'HGPLAIN'] = b'1'
 
     def get_modified_files(self):
@@ -95,11 +114,11 @@ class HgRepository(Repository):
 class GitRepository(Repository):
     '''An implementation of `Repository` for Git repositories.'''
     def __init__(self, path):
-        super(GitRepository, self).__init__(path, 'git')
+        super().__init__(path, 'git')
 
     def get_modified_files(self):
         # This is a little wonky, but it's good enough for this purpose.
-        return [bits[1] for bits in map(lambda line: line.strip().split(), self._run('status', '--porcelain').splitlines()) if 'M' in bits[0]]
+        return [bits[1] for bits in [line.strip().split() for line in self._run('status', '--porcelain').splitlines()] if 'M' in bits[0]]
 
     def add_remove_files(self, path):
         self._run('add', path)
diff --git a/python/mozversioncontrol/mozversioncontrol/repoupdate.py b/python/mozversioncontrol/mozversioncontrol/repoupdate.py
index 08be73a344..291889cfa9 100644
--- a/python/mozversioncontrol/mozversioncontrol/repoupdate.py
+++ b/python/mozversioncontrol/mozversioncontrol/repoupdate.py
@@ -2,7 +2,6 @@
 # License, v. 2.0. If a copy of the MPL was not distributed with this,
 # file, You can obtain one at http://mozilla.org/MPL/2.0/.
 
-from __future__ import unicode_literals
 
 import os
 import subprocess
@@ -19,7 +18,7 @@ def update_mercurial_repo(hg, repo, path, revision='default',
         args.extend(global_args)
 
     for host, fingerprint in sorted(hostfingerprints.items()):
-        args.extend(['--config', 'hostfingerprints.%s=%s' % (host,
+        args.extend(['--config', 'hostfingerprints.{}={}'.format(host,
             fingerprint)])
 
     if os.path.exists(path):
diff --git a/python/psutil/docs/conf.py b/python/psutil/docs/conf.py
index ad880110f8..bc906b3948 100644
--- a/python/psutil/docs/conf.py
+++ b/python/psutil/docs/conf.py
@@ -1,4 +1,3 @@
-# -*- coding: utf-8 -*-
 #
 # psutil documentation build configuration file, created by
 # sphinx-quickstart.
@@ -24,7 +23,7 @@ HERE = os.path.abspath(os.path.dirname(__file__))
 
 def get_version():
     INIT = os.path.abspath(os.path.join(HERE, '../psutil/__init__.py'))
-    with open(INIT, 'r') as f:
+    with open(INIT) as f:
         for line in f:
             if line.startswith('__version__'):
                 ret = eval(line.strip().split(' = ')[1])
@@ -63,7 +62,7 @@ master_doc = 'index'
 
 # General information about the project.
 project = PROJECT_NAME
-copyright = '2009-%s, %s' % (THIS_YEAR, AUTHOR)
+copyright = '2009-{}, {}'.format(THIS_YEAR, AUTHOR)
 
 # The version info for the project you're documenting, acts as replacement for
 # |version| and |release|, also used in various other places throughout the
diff --git a/python/psutil/examples/disk_usage.py b/python/psutil/examples/disk_usage.py
index d8600a8c47..bf3fa231f6 100755
--- a/python/psutil/examples/disk_usage.py
+++ b/python/psutil/examples/disk_usage.py
@@ -15,6 +15,7 @@ Device               Total     Used     Free  Use %      Type  Mount
 /dev/sda2           600.0M   312.4M   287.6M    52%   fuseblk  /media/Recovery
 """
 
+from __future__ import print_function
 import sys
 import os
 import psutil
@@ -33,14 +34,14 @@ def bytes2human(n):
     for s in reversed(symbols):
         if n >= prefix[s]:
             value = float(n) / prefix[s]
-            return '%.1f%s' % (value, s)
+            return '{:.1f}{}'.format(value, s)
     return "%sB" % n
 
 
 def main():
     templ = "%-17s %8s %8s %8s %5s%% %9s  %s"
-    print(templ % ("Device", "Total", "Used", "Free", "Use ", "Type",
-                   "Mount"))
+    print((templ % ("Device", "Total", "Used", "Free", "Use ", "Type",
+                   "Mount")))
     for part in psutil.disk_partitions(all=False):
         if os.name == 'nt':
             if 'cdrom' in part.opts or part.fstype == '':
@@ -49,14 +50,14 @@ def main():
                 # partition or just hang.
                 continue
         usage = psutil.disk_usage(part.mountpoint)
-        print(templ % (
+        print((templ % (
             part.device,
             bytes2human(usage.total),
             bytes2human(usage.used),
             bytes2human(usage.free),
             int(usage.percent),
             part.fstype,
-            part.mountpoint))
+            part.mountpoint)))
 
 if __name__ == '__main__':
     sys.exit(main())
diff --git a/python/psutil/examples/free.py b/python/psutil/examples/free.py
index 913ca58a4c..1687e5c3e7 100755
--- a/python/psutil/examples/free.py
+++ b/python/psutil/examples/free.py
@@ -13,6 +13,7 @@ Mem:      10125520    8625996    1499524          0     349500    3307836
 Swap:            0          0          0
 """
 
+from __future__ import print_function
 import psutil
 
 
@@ -20,22 +21,22 @@ def main():
     virt = psutil.virtual_memory()
     swap = psutil.swap_memory()
     templ = "%-7s %10s %10s %10s %10s %10s %10s"
-    print(templ % ('', 'total', 'used', 'free', 'shared', 'buffers', 'cache'))
-    print(templ % (
+    print((templ % ('', 'total', 'used', 'free', 'shared', 'buffers', 'cache')))
+    print((templ % (
         'Mem:',
         int(virt.total / 1024),
         int(virt.used / 1024),
         int(virt.free / 1024),
         int(getattr(virt, 'shared', 0) / 1024),
         int(getattr(virt, 'buffers', 0) / 1024),
-        int(getattr(virt, 'cached', 0) / 1024)))
-    print(templ % (
+        int(getattr(virt, 'cached', 0) / 1024))))
+    print((templ % (
         'Swap:', int(swap.total / 1024),
         int(swap.used / 1024),
         int(swap.free / 1024),
         '',
         '',
-        ''))
+        '')))
 
 if __name__ == '__main__':
     main()
diff --git a/python/psutil/examples/ifconfig.py b/python/psutil/examples/ifconfig.py
index e7a436cc0a..8ac04527a2 100644
--- a/python/psutil/examples/ifconfig.py
+++ b/python/psutil/examples/ifconfig.py
@@ -36,7 +36,6 @@ eth0 (speed=100MB, duplex=full, mtu=1500, up=yes):
              broadcast : ff:ff:ff:ff:ff:ff
 """
 
-from __future__ import print_function
 import socket
 
 import psutil
@@ -59,7 +58,7 @@ def main():
     stats = psutil.net_if_stats()
     for nic, addrs in psutil.net_if_addrs().items():
         if nic in stats:
-            print("%s (speed=%sMB, duplex=%s, mtu=%s, up=%s):" % (
+            print("{} (speed={}MB, duplex={}, mtu={}, up={}):".format(
                 nic, stats[nic].speed, duplex_map[stats[nic].duplex],
                 stats[nic].mtu, "yes" if stats[nic].isup else "no"))
         else:
diff --git a/python/psutil/examples/iotop.py b/python/psutil/examples/iotop.py
index 16ac7fbf61..d273d45862 100755
--- a/python/psutil/examples/iotop.py
+++ b/python/psutil/examples/iotop.py
@@ -86,7 +86,7 @@ def bytes2human(n):
     for s in reversed(symbols):
         if n >= prefix[s]:
             value = float(n) / prefix[s]
-            return '%.2f %s/s' % (value, s)
+            return '{:.2f} {}/s'.format(value, s)
     return '%.2f B/s' % (n)
 
 
diff --git a/python/psutil/examples/meminfo.py b/python/psutil/examples/meminfo.py
index c463a3de4b..d314a5eea1 100755
--- a/python/psutil/examples/meminfo.py
+++ b/python/psutil/examples/meminfo.py
@@ -30,6 +30,7 @@ Sin        :      0B
 Sout       :      0B
 """
 
+from __future__ import print_function
 import psutil
 
 
@@ -46,7 +47,7 @@ def bytes2human(n):
     for s in reversed(symbols):
         if n >= prefix[s]:
             value = float(n) / prefix[s]
-            return '%.1f%s' % (value, s)
+            return '{:.1f}{}'.format(value, s)
     return "%sB" % n
 
 
@@ -55,7 +56,7 @@ def pprint_ntuple(nt):
         value = getattr(nt, name)
         if name != 'percent':
             value = bytes2human(value)
-        print('%-10s : %7s' % (name.capitalize(), value))
+        print(('%-10s : %7s' % (name.capitalize(), value)))
 
 
 def main():
diff --git a/python/psutil/examples/netstat.py b/python/psutil/examples/netstat.py
index 884622e9e3..af7c224d8e 100755
--- a/python/psutil/examples/netstat.py
+++ b/python/psutil/examples/netstat.py
@@ -19,6 +19,7 @@ tcp   172.17.42.1:55797  127.0.0.1:443    CLOSE_WAIT    13651  GoogleTalkPlugi
 ...
 """
 
+from __future__ import print_function
 import socket
 from socket import AF_INET, SOCK_STREAM, SOCK_DGRAM
 
@@ -37,9 +38,9 @@ proto_map = {
 
 def main():
     templ = "%-5s %-30s %-30s %-13s %-6s %s"
-    print(templ % (
+    print((templ % (
         "Proto", "Local address", "Remote address", "Status", "PID",
-        "Program name"))
+        "Program name")))
     proc_names = {}
     for p in psutil.process_iter():
         try:
@@ -51,14 +52,14 @@ def main():
         raddr = ""
         if c.raddr:
             raddr = "%s:%s" % (c.raddr)
-        print(templ % (
+        print((templ % (
             proto_map[(c.family, c.type)],
             laddr,
             raddr or AD,
             c.status,
             c.pid or AD,
             proc_names.get(c.pid, '?')[:15],
-        ))
+        )))
 
 if __name__ == '__main__':
     main()
diff --git a/python/psutil/examples/nettop.py b/python/psutil/examples/nettop.py
index 7a8343ee4c..6b4fc60db2 100755
--- a/python/psutil/examples/nettop.py
+++ b/python/psutil/examples/nettop.py
@@ -87,7 +87,7 @@ def bytes2human(n):
     for s in reversed(symbols):
         if n >= prefix[s]:
             value = float(n) / prefix[s]
-            return '%.2f %s' % (value, s)
+            return '{:.2f} {}'.format(value, s)
     return '%.2f B' % (n)
 
 
diff --git a/python/psutil/examples/pidof.py b/python/psutil/examples/pidof.py
index 8692a3152b..f740c4da43 100755
--- a/python/psutil/examples/pidof.py
+++ b/python/psutil/examples/pidof.py
@@ -47,7 +47,7 @@ def main():
         pgname = sys.argv[1]
     pids = pidof(pgname)
     if pids:
-        print(" ".join(pids))
+        print((" ".join(pids)))
 
 if __name__ == '__main__':
     main()
diff --git a/python/psutil/examples/pmap.py b/python/psutil/examples/pmap.py
index 7593777aef..3525a2859a 100755
--- a/python/psutil/examples/pmap.py
+++ b/python/psutil/examples/pmap.py
@@ -30,6 +30,7 @@ ffffffffff600000         0K  r-xp    [vsyscall]
 ...
 """
 
+from __future__ import print_function
 import sys
 
 import psutil
@@ -39,19 +40,19 @@ def main():
     if len(sys.argv) != 2:
         sys.exit('usage: pmap <pid>')
     p = psutil.Process(int(sys.argv[1]))
-    print("pid=%s, name=%s" % (p.pid, p.name()))
+    print(("pid={}, name={}".format(p.pid, p.name())))
     templ = "%-16s %10s  %-7s %s"
-    print(templ % ("Address", "RSS", "Mode", "Mapping"))
+    print((templ % ("Address", "RSS", "Mode", "Mapping")))
     total_rss = 0
     for m in p.memory_maps(grouped=False):
         total_rss += m.rss
-        print(templ % (
+        print((templ % (
             m.addr.split('-')[0].zfill(16),
             str(m.rss / 1024) + 'K',
             m.perms,
-            m.path))
-    print("-" * 33)
-    print(templ % ("Total", str(total_rss / 1024) + 'K', '', ''))
+            m.path)))
+    print(("-" * 33))
+    print((templ % ("Total", str(total_rss / 1024) + 'K', '', '')))
 
 if __name__ == '__main__':
     main()
diff --git a/python/psutil/examples/process_detail.py b/python/psutil/examples/process_detail.py
index e20371aefe..5f6539e595 100755
--- a/python/psutil/examples/process_detail.py
+++ b/python/psutil/examples/process_detail.py
@@ -49,7 +49,7 @@ def convert_bytes(n):
     for s in reversed(symbols):
         if n >= prefix[s]:
             value = float(n) / prefix[s]
-            return '%.1f%s' % (value, s)
+            return '{:.1f}{}'.format(value, s)
     return "%sB" % n
 
 
@@ -86,7 +86,7 @@ def run(pid):
         started = ACCESS_DENIED
     io = pinfo.get('io_counters', ACCESS_DENIED)
     if pinfo['memory_info'] != ACCESS_DENIED:
-        mem = '%s%% (resident=%s, virtual=%s) ' % (
+        mem = '{}% (resident={}, virtual={}) '.format(
             round(pinfo['memory_percent'], 1),
             convert_bytes(pinfo['memory_info'].rss),
             convert_bytes(pinfo['memory_info'].vms))
@@ -97,7 +97,7 @@ def run(pid):
     print_('pid', pinfo['pid'])
     print_('name', pinfo['name'])
     print_('exe', pinfo['exe'])
-    print_('parent', '%s %s' % (pinfo['ppid'], parent))
+    print_('parent', '{} {}'.format(pinfo['ppid'], parent))
     print_('cmdline', ' '.join(pinfo['cmdline']))
     print_('started', started)
     print_('user', pinfo['username'])
@@ -109,7 +109,7 @@ def run(pid):
         print_('terminal', pinfo['terminal'] or '')
     print_('cwd', pinfo['cwd'])
     print_('memory', mem)
-    print_('cpu', '%s%% (user=%s, system=%s)' % (
+    print_('cpu', '{}% (user={}, system={})'.format(
         pinfo['cpu_percent'],
         getattr(pinfo['cpu_times'], 'user', '?'),
         getattr(pinfo['cpu_times'], 'system', '?')))
@@ -117,23 +117,23 @@ def run(pid):
     print_('niceness', pinfo['nice'])
     print_('num threads', pinfo['num_threads'])
     if io != ACCESS_DENIED:
-        print_('I/O', 'bytes-read=%s, bytes-written=%s' % (
+        print_('I/O', 'bytes-read={}, bytes-written={}'.format(
             convert_bytes(io.read_bytes),
             convert_bytes(io.write_bytes)))
     if children:
         print_('children', '')
         for child in children:
-            print_('', 'pid=%s name=%s' % (child.pid, child.name()))
+            print_('', 'pid={} name={}'.format(child.pid, child.name()))
 
     if pinfo['open_files'] != ACCESS_DENIED:
         print_('open files', '')
         for file in pinfo['open_files']:
-            print_('', 'fd=%s %s ' % (file.fd, file.path))
+            print_('', 'fd={} {} '.format(file.fd, file.path))
 
     if pinfo['threads']:
         print_('running threads', '')
         for thread in pinfo['threads']:
-            print_('', 'id=%s, user-time=%s, sys-time=%s' % (
+            print_('', 'id={}, user-time={}, sys-time={}'.format(
                 thread.id, thread.user_time, thread.system_time))
     if pinfo['connections'] not in (ACCESS_DENIED, []):
         print_('open connections', '')
@@ -149,7 +149,7 @@ def run(pid):
                 rip, rport = '*', '*'
             else:
                 rip, rport = conn.raddr
-            print_('', '%s:%s -> %s:%s type=%s status=%s' % (
+            print_('', '{}:{} -> {}:{} type={} status={}'.format(
                 lip, lport, rip, rport, type, conn.status))
 
 
diff --git a/python/psutil/examples/ps.py b/python/psutil/examples/ps.py
index 2b67bd18ff..5ad82c1d2a 100644
--- a/python/psutil/examples/ps.py
+++ b/python/psutil/examples/ps.py
@@ -11,6 +11,7 @@ $ python examples/ps.py
 ...
 """
 
+from __future__ import print_function
 import datetime
 import os
 import time
@@ -26,8 +27,8 @@ def main():
     if os.name == 'posix':
         attrs.append('uids')
         attrs.append('terminal')
-    print(templ % ("USER", "PID", "%CPU", "%MEM", "VSZ", "RSS", "TTY",
-                   "START", "TIME", "COMMAND"))
+    print((templ % ("USER", "PID", "%CPU", "%MEM", "VSZ", "RSS", "TTY",
+                   "START", "TIME", "COMMAND")))
     for p in psutil.process_iter():
         try:
             pinfo = p.as_dict(attrs, ad_value='')
@@ -64,7 +65,7 @@ def main():
                 int(pinfo['memory_info'].rss / 1024) or '?'
             memp = pinfo['memory_percent'] and \
                 round(pinfo['memory_percent'], 1) or '?'
-            print(templ % (
+            print((templ % (
                 user[:10],
                 pinfo['pid'],
                 pinfo['cpu_percent'],
@@ -74,7 +75,7 @@ def main():
                 pinfo.get('terminal', '') or '?',
                 ctime,
                 cputime,
-                pinfo['name'].strip() or '?'))
+                pinfo['name'].strip() or '?')))
 
 
 if __name__ == '__main__':
diff --git a/python/psutil/examples/pstree.py b/python/psutil/examples/pstree.py
index 1bf8c9c049..3fd69b4236 100644
--- a/python/psutil/examples/pstree.py
+++ b/python/psutil/examples/pstree.py
@@ -40,7 +40,7 @@ def print_tree(parent, tree, indent=''):
         name = psutil.Process(parent).name()
     except psutil.Error:
         name = "?"
-    print(parent, name)
+    print((parent, name))
     if parent not in tree:
         return
     children = tree[parent][:-1]
diff --git a/python/psutil/examples/top.py b/python/psutil/examples/top.py
index 30df417f55..62aaf37436 100755
--- a/python/psutil/examples/top.py
+++ b/python/psutil/examples/top.py
@@ -92,7 +92,7 @@ def bytes2human(n):
     for s in reversed(symbols):
         if n >= prefix[s]:
             value = int(float(n) / prefix[s])
-            return '%s%s' % (value, s)
+            return '{}{}'.format(value, s)
     return "%sB" % n
 
 
@@ -125,7 +125,7 @@ def print_header(procs_status, num_procs):
     """Print system-related info, above the process list."""
 
     def get_dashes(perc):
-        dashes = "|" * int((float(perc) / 10 * 4))
+        dashes = "|" * int(float(perc) / 10 * 4)
         empty_dashes = " " * (40 - len(dashes))
         return dashes, empty_dashes
 
@@ -161,9 +161,9 @@ def print_header(procs_status, num_procs):
     st = []
     for x, y in procs_status.items():
         if y:
-            st.append("%s=%s" % (x, y))
+            st.append("{}={}".format(x, y))
     st.sort(key=lambda x: x[:3] in ('run', 'sle'), reverse=1)
-    print_line(" Processes: %s (%s)" % (num_procs, ' '.join(st)))
+    print_line(" Processes: {} ({})".format(num_procs, ' '.join(st)))
     # load average, uptime
     uptime = datetime.utcnow() - datetime.fromtimestamp(psutil.boot_time())
     av1, av2, av3 = os.getloadavg()
@@ -187,8 +187,8 @@ def refresh_window(procs, procs_status):
         # is expressed as: "mm:ss.ms"
         if p.dict['cpu_times'] is not None:
             ctime = timedelta(seconds=sum(p.dict['cpu_times']))
-            ctime = "%s:%s.%s" % (ctime.seconds // 60 % 60,
-                                  str((ctime.seconds % 60)).zfill(2),
+            ctime = "{}:{}.{}".format(ctime.seconds // 60 % 60,
+                                  str(ctime.seconds % 60).zfill(2),
                                   str(ctime.microseconds)[:2])
         else:
             ctime = ''
